=== debian/changelog ===
editorconfig-core (0.11.5-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix a typo in short description.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to
    CDBS+git-buildpackage wiki page for details.

  [ Vasudev Kamath ]
  * Imported Upstream version 0.11.5
  * Moved doxygen into build-depends from build-depends-indep as it is
    generating man pages needed by the package.
    Closes: bug#705682
  * Use DEB_UPSTREAM_VERSION instead of hard coding upstream version in
    arguments to dh_link for editorconfig package.
  * Add multi-arch related quirks, including missing ${cdbs:Pre-Depends}
    substitution value.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Mon, 10 Jun 2013 19:52:34 +0530

editorconfig-core (0.11.0-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Initial release.
    Closes: bug#679663.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Mar 2013 16:41:00 +0100
