=== debian/control ===
Source: editorconfig-core
Section: libs
Priority: optional
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 cmake,
 d-shlibs,
 doxygen
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 3.9.4
Homepage: http://editorconfig.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/editorconfig-core.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/editorconfig-core.git

Package: libeditorconfig0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Description: coding style indenter across editors - library
 EditorConfig helps developers define and maintain consistent coding
 styles between different editors and IDEs. The EditorConfig project
 consists of a file format for defining coding styles and a collection
 of text editor plugins that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable and they work nicely
 with version control systems.
 .
 This package provides the core library of editorconfig.

Package: libeditorconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeditorconfig0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: editorconfig-doc
Description: coding style indenter across editors - development files
 EditorConfig helps developers define and maintain consistent coding
 styles between different editors and IDEs. The EditorConfig project
 consists of a file format for defining coding styles and a collection
 of text editor plugins that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable and they work nicely
 with version control systems.
 .
 This package provides development headers for editorconfig-core library.

Package: libeditorconfig0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libeditorconfig0 (= ${binary:Version}),
 ${misc:Depends}
Description: coding style indenter across editors - debugging symbols
 EditorConfig helps developers define and maintain consistent coding
 styles between different editors and IDEs. The EditorConfig project
 consists of a file format for defining coding styles and a collection
 of text editor plugins that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable and they work nicely
 with version control systems.
 .
 This package provides debugging symbols for editorconfig-core
 library.

Package: editorconfig
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: coding style indenter for all editors - commandline tools
 This package helps developers define and maintain consistent coding
 styles between different editors and IDEs. The EditorConfig project
 consists of a file format for defining coding styles and a collection
 of text editor plugins that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable and they work nicely
 with version control systems.
 .
 This package provides editorconfig command which can be used to
 reformat and indent code files using editorconfig configuration file.

Package: editorconfig-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${cdbs:Depends}
Description: coding style indenter across editors - documentation
 EditorConfig helps developers define and maintain consistent coding
 styles between different editors and IDEs. The EditorConfig project
 consists of a file format for defining coding styles and a collection
 of text editor plugins that enable editors to read the file format
 and adhere to defined styles.
 .
 EditorConfig files are easily readable and they work nicely
 with version control systems.
 .
 This package provides API documentation for editorconfig-core library.
