=== debian/watch ===
version = 3
https://github.com/editorconfig/editorconfig-core/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
