## editorconfig-core 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,12 +27,14 @@
 cmake_minimum_required(VERSION 2.6)
 
 set (editorconfig_VERSION_MAJOR 0)
-set (editorconfig_VERSION_MINOR 11)
-set (editorconfig_VERSION_SUBMINOR 5)
+set (editorconfig_VERSION_MINOR 12)
+set (editorconfig_VERSION_SUBMINOR 0)
 
 set (editorconfig_VERSION_SUFFIX "")
 
 project(editorconfig C)
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake_Modules")
 
 # set default compilation directory
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
