=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,13 @@
 
 include(CheckFunctionExists)
 include(CheckTypeSize)
+
+find_package(PCRE REQUIRED)
+
+if(PCRE_FOUND)
+    include_directories(BEFORE ${PCRE_INCLUDE_DIRS})
+    option(PCRE_STATIC "Turn this option ON when linking to PCRE static library" OFF)
+endif()
 
 # config.h will be generated in src/auto, we should include it.
 include_directories(BEFORE
