=== debian/changelog ===
editorconfig-core (0.12.0-2) unstable; urgency=medium

  * Fix have -doc package symlink externally packaged jquery.
    Build-depend (not only depend) on libjs-jquery.
  * Update copyright info: Extend coverage for myself.
  * Resolve major version from upstream code (not changelog version.
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Avoid compressing documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2015 14:28:45 +0200

editorconfig-core (0.12.0-1) experimental; urgency=medium

  [ upstream ]
  * New release.
    Closes: bug#767189, Thanks to Hong Xu.

  [ Vasudev Kamath ]
  * Update source URL in copyright and watch file to reflect upstream
    renaming of project to editorconfig-core-c.
  * Update copyright file:
    + Add Files sections for newly added files.
    + Drop Files section for no longer shipped ec_fnmatch.* files, and
      drop now unused BSD-3-clause License section.
  * Build-depend on libpcre3-dev.
  * Declare compliance with Standards-Version 3.9.6.
  * Add patch 1002 to make package build reproducible.

  [ Jonas Smedegaard ]
  * Modernize CDBS use:
    + Stop explicitly pass LDFLAGS: Done implicitly since cdbs 0.4.122.
    + Stop suppress optional build dependencies: available even in
      oldstable.
  * Update Vcs-Browser field to use canonical https protocol.
  * Stop track upstream tarball checksum.
  * Simplify watch file.
  * Fix tighten build-dependency on d-shlibs: Needed for --multiarch and
    --exclude-la options.
  * Unfuzz and reorder patches.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Mar 2015 22:00:51 +0100

editorconfig-core (0.11.5-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no change to package source.
  * Replace gitweb url with cgit URL in Vcs-Browser field.
  * Mark -dbg package as Multi-Arch same
  * Bump compat to 9 to fix Multi-Arch -dbg package generation

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 14 Aug 2014 22:18:07 +0530
