=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- debhelper,
- dh-buildinfo,
+ debhelper (>= 9~),
  devscripts,
  cmake,
- d-shlibs,
- doxygen
+ doxygen,
+ libpcre3-dev,
+ d-shlibs (>= 0.48),
+ libjs-jquery
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://editorconfig.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/editorconfig-core.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/editorconfig-core.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/editorconfig-core.git
 
 Package: libeditorconfig0
 Section: libs
@@ -59,6 +60,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libeditorconfig0 (= ${binary:Version}),
  ${misc:Depends}
 Description: coding style indenter across editors - debugging symbols
