=== debian/watch ===
version = 3
https://github.com/editorconfig/editorconfig-core-c/tags .*/v([\d.]*)\.tar\.gz
