## editorconfig-core 0.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2011-2013 EditorConfig Team
+# Copyright (c) 2011-2016 EditorConfig Team
 # All rights reserved.
 # 
 # Redistribution and use in source and binary forms, with or without
@@ -24,11 +24,12 @@
 # POSSIBILITY OF SUCH DAMAGE.
 #
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.7)
+cmake_policy(VERSION 2.8.7)
 
 set (editorconfig_VERSION_MAJOR 0)
 set (editorconfig_VERSION_MINOR 12)
-set (editorconfig_VERSION_SUBMINOR 0)
+set (editorconfig_VERSION_PATCH 1)
 
 set (editorconfig_VERSION_SUFFIX "")
 
@@ -58,7 +59,7 @@
 set(CPACK_PACKAGE_VENDOR "EditorConfig Team")
 set(CPACK_PACKAGE_VERSION_MAJOR ${editorconfig_VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${editorconfig_VERSION_MINOR})
-set(CPACK_PACKAGE_VERSION_PATCH ${editorconfig_VERSION_SUBMINOR})
+set(CPACK_PACKAGE_VERSION_PATCH ${editorconfig_VERSION_PATCH})
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
