=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,10 +54,12 @@
 include_directories(BEFORE
     "${PROJECT_SOURCE_DIR}/include")
 
-# MSVC_MD option
-option(MSVC_MD
-    "Use /MD instead of /MT flag when compiling with Microsoft Visual C++. This option takes no effect when using compilers other than Microsoft Visual C++."
-    OFF)
+if(WIN32)
+    # MSVC_MD option
+    option(MSVC_MD
+        "Use /MD instead of /MT flag when compiling with Microsoft Visual C++. This option takes no effect when using compilers other than Microsoft Visual C++."
+        OFF)
+endif()
 
 # replace all /MD with /MT for msvc if MSVC_MD is off
 if(MSVC AND NOT MSVC_MD)
@@ -70,6 +72,13 @@
     endforeach(flag_var)
 endif()
 
+# Use unsigned char to represent plain char
+if(MSVC)
+    add_definitions("-J")
+else()
+    add_definitions("-funsigned-char")
+endif()
+
 add_subdirectory(lib)
 add_subdirectory(bin)
