=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,10 @@
 # POSSIBILITY OF SUCH DAMAGE.
 #
 
+include(GNUInstallDirs)
+
 set(editorconfig_LIBSRCS
-    ec_fnmatch.c
+    ec_glob.c
     editorconfig.c
     editorconfig_handle.c
     ini.c
@@ -37,26 +39,28 @@
     OUTPUT_NAME editorconfig
     SOVERSION 0
     VERSION
-    ${editorconfig_VERSION_MAJOR}.${editorconfig_VERSION_MINOR}.${editorconfig_VERSION_SUBMINOR})
+    ${editorconfig_VERSION_MAJOR}.${editorconfig_VERSION_MINOR}.${editorconfig_VERSION_PATCH})
 
 # We need to link Shwapi since we use PathIsRelative
 if(WIN32)
     target_link_libraries(editorconfig_shared Shlwapi)
 endif()
+target_link_libraries(editorconfig_shared ${PCRE_LIBRARIES})
 
 add_library(editorconfig_static STATIC ${editorconfig_LIBSRCS})
 set_target_properties(editorconfig_static PROPERTIES
     OUTPUT_NAME editorconfig_static
     VERSION
-    ${editorconfig_VERSION_MAJOR}.${editorconfig_VERSION_MINOR}.${editorconfig_VERSION_SUBMINOR})
+    ${editorconfig_VERSION_MAJOR}.${editorconfig_VERSION_MINOR}.${editorconfig_VERSION_PATCH})
 
 # We need to link Shwapi since we use PathIsRelative
 if(WIN32)
     target_link_libraries(editorconfig_static Shlwapi)
 endif()
+target_link_libraries(editorconfig_static ${PCRE_LIBRARIES})
 
 install(TARGETS editorconfig_shared editorconfig_static
-    RUNTIME DESTINATION bin
-    LIBRARY DESTINATION lib
-    ARCHIVE DESTINATION lib)
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
