=== debian/changelog ===
editorconfig-core (0.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870509).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 22:17:16 +0100

editorconfig-core (0.12.1-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix avoid calling exit()
      Closes: Bug#818625.
    + Bump required minimum cmake version to 2.8.7.
    + Use GNU installation dirs for OS portability.

  [ Jonas Smedegaard ]
  * Modernize watch file, and add usage hint comment.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize Vcs-Git field: Use https protocol.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend copyright of packaging to cover current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.
  * Add lintian override regarding debhelper 9.
  * Update/unfuzz patches.
  * Install development man pages, and adjust section for file format
    man page.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 14:03:18 +0100
