=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- debhelper (>= 9~),
+ debhelper,
  devscripts,
  cmake,
  doxygen,
@@ -11,9 +11,9 @@
  libjs-jquery
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://editorconfig.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/editorconfig-core.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/editorconfig-core.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/editorconfig-core.git
 
 Package: libeditorconfig0
