=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2013 Vasudev Kamath <kamathvasudev@gmail.com>
-# Copyright © 2013, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013, 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for EditorConfig core
 #
 # This program is free software; you can redistribute it and/or modify
@@ -30,7 +30,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/class/cmake.mk
 
 lib = lib$(stem)
@@ -38,9 +37,9 @@
 pkg-bin = $(stem)
 pkg-doc = $(stem)-doc
 
-# Upstream tarball handling
-DEB_UPSTREAM_URL = https://github.com/editorconfig/editorconfig-core/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Build Depends
 CDBS_BUILD_DEPENDS += , cmake, doxygen, libpcre3-dev
@@ -51,7 +50,6 @@
 # Multiarch quirks (should ideally be resolved automagically)
 CDBS_BUILD_DEPENDS_rules_debhelper_buildinfo =
 CDBS_BUILD_DEPENDS_rules_buildcore_pkgrel =
-CDBS_PREDEPENDS = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
 
 # avoid compressing documentation
 DEB_COMPRESS_EXCLUDE_DEFAULT += .html
@@ -60,7 +58,8 @@
 DEB_DH_INSTALL_ARGS_$(pkg-bin) = usr/bin
 DEB_INSTALL_MANPAGES_$(pkg-bin) = \
 	debian/tmp/usr/share/man/man1/editorconfig.1 \
-	debian/tmp/usr/share/man/man3/editorconfig-format.3
+	debian/tmp/usr/share/man/man5/editorconfig-format.5
+DEB_INSTALL_MANPAGES_$(pkg-dev) = debian/tmp/usr/share/man/man3/*.3
 DEB_DH_LINK_$(pkg-bin) = /usr/share/man/man1/editorconfig.1.gz \
 	/usr/share/man/man1/editorconfig-$(DEB_UPSTREAM_VERSION).1.gz
 DEB_DH_INSTALL_ARGS_$(pkg-doc) = usr/share/doc/editorconfig-doc/html/
@@ -79,7 +78,7 @@
 		--exclude-la \
 		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		debian/tmp/usr/lib/$(lib).so
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
 	touch $@
 clean::
 	rm -f debian/stamp-local-shlibs-$(lib)
